#ifndef T_IOT_901_CONVOYOR_DOLIBARRMODELS_H
#define T_IOT_901_CONVOYOR_DOLIBARRMODELS_H

namespace models {

    struct Product {
        std::string id;
        std::string entity;
        std::string ref;
        std::string status;
        std::string date_creation;
        std::string date_modification;
        std::string label;
        std::string description;
        std::string type;
        std::string accountancy_code_sell;
        std::string accountancy_code_sell_export;
        std::string fk_default_warehouse;
        std::string price;
        std::string stock_reel;
        std::string seuil_stock_alerte;
        std::string desiredstock;
    };

    struct ProductStock {
        std::string id;
        std::string product_id;
        std::string quantity;
    };

    struct CreateProductStock {
        std::string product_id;
        std::string warehouse_id;
        std::string qty;
    };

    struct Warehouse {
        std::string id;
        std::string label;
    };

}

#endif //T_IOT_901_CONVOYOR_DOLIBARRMODELS_H
